discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Fucked up gnustep-make


From: Richard Frith-Macdonald
Subject: Re: Fucked up gnustep-make
Date: Tue, 13 Feb 2007 22:30:12 +0000


On 13 Feb 2007, at 17:08, Andrew Sveikauskas wrote:

On 2007-02-13 15:40:26 -0500 Richard Frith-Macdonald <address@hidden> wrote:
Now, anyone using gnustep-make must be using gnu-make, which supports the --version flag. So the question is why your system barfed? It must have been running some other make somehow.

The reason should be fairly obvious when you consider the offending line:

gs_cv_make_version=`make --version | head -1 | sed -e 's/^ [^0-9]*//'`

Note that "make" is hard coded in there. That'll result in the shell looking for a program called "make". On non-GNU systems, this is not GNU make.

What you want is:

gs_cv_make_version=`$(MAKE) --version | head -1 | sed -e 's/^ [^0-9]*//'`

And the MAKE variable will resolve to the appropriate command for GNU make.

I just found where the problem is coming from ... it's in configure.ac/configure Unfortunately, the MAKE variable does not exist here, so this fix won't work.

Unless someone knows better, I think we need a test/code here to find gnu-make on the system and use it.
Is there a standard way of doing that in autoconf?





reply via email to

[Prev in Thread] Current Thread [Next in Thread]